// LICENSE : MIT
"use strict";

var _lcovParse = require("lcov-parse");

var _lcovParse2 = _interopRequireDefault(_lcovParse);

var _FileResult = require("./FileResult");

var _Writer = require("./Writer");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function summary(content, callback) {
    if (!content) {
        return callback(new Error("content is empty"));
    }
    (0, _lcovParse2.default)(content, function (error, results) {
        try {
            /** @type FileResult[] */
            var fileResults = results.map(function (result) {
                return new _FileResult.FileResult(result.file, result.lines);
            });
            var coverageResult = new _FileResult.CoverageResult(fileResults);
            var writer = new _Writer.ReportWriter();
            var output = writer.writeReport(coverageResult);
            callback(null, output);
        } catch (error) {
            callback(error);
        }
    });
}
module.exports = summary;
//# sourceMappingURL=lcov-summary.js.map